import React from 'react';
import { connect } from 'react-redux';

function AffHistorique(props) {

	let rows = props.values.map((valeur,cpt) => {return(<tr key={cpt.toString()}><td>{valeur}</td></tr>);});

	return(
		<table border="1">
			<tbody>
				{rows}
			</tbody>
		</table>
	);
}

	class Affichage extends React.Component {

		Affichage(){

			let sensor = null;

			let url = this.props.url.substring(1);


			let name = "";

			for(let i=0; i<this.props.menu.length; i++){

				if(this.props.menu[i].url === url){
					name = this.props.menu[i].name;
					sensor = this.props.sensor[i].sensor;
				}
			}

			if( sensor !== null ){

				var history = sensor.history;

				return (
					<div>
						<h1>{name}</h1>
						<h2>Valeur actuelle: {history[history.length-1]}</h2>
						<AffHistorique val = {["Valeurs"]} values = {history} />
					</div>
				);

			}
			else{
				return <h2>Absence de capteurs</h2>
			}
		}



		render() {
			return (
				<article>
					{this.Affichage()}
				</article>
		);}
	}


Affichage = connect(
	function mapStateToProps(state) {
		return {
			sensor: state.sensorReducer,
			menu: state.menuReducer
		}
	}
)(Affichage);


export default Affichage;
