import React from "react";

import { BrowserRouter as Router, Route, Redirect } from 'react-router-dom';
import PropTypes from 'prop-types';

import { Provider } from 'react-redux';

import App from "./App";

const Routes = ({ store }) => (
	<Provider store={store}>
		<Router>
			<div>
				<Route exact path="/" render={() => (
				  <Redirect to="/capteurs"/>
				)}/>
				<Route path="/:typeCapteur" component={App} />
			</div>
		</Router>
	</Provider>
);

Routes.propTypes = {
	store: PropTypes.object.isRequired
}

export default Routes;
